#include <QtGui>

#include "embedder.h"

Embedder::Embedder(QX11EmbedContainer *par):
    QX11EmbedContainer(par)
{
    m_process = new QProcess(this);
    connect(m_process, SIGNAL(finished(int, QProcess::ExitStatus)), SLOT(finished(int, QProcess::ExitStatus)));
}

void Embedder::start()
{
    if (m_process->state() == QProcess::NotRunning)
    {
        QApplication::setOverrideCursor(Qt::WaitCursor);
        m_process->start("toscoterm", QStringList() << "-x" << QString("%1").arg(QString::number(winId())));
        m_process->waitForStarted(-1);
        QApplication::restoreOverrideCursor();
    }
}

void Embedder::finished(int, QProcess::ExitStatus)
{
    start();
}

